#include<windows.h>

LRESULT CALLBACK WndProc(HWND hwnd , UINT msg , WPARAM wp , LPARAM lp)
{
	switch (msg) {
	case WM_DESTROY:
		MessageBox(hwnd , TEXT("I") ,TEXT("BCC Skipper") , MB_ICONINFORMATION);
		PostQuitMessage(0);
		return 0;

	case WM_COMMAND:
		switch (LOWORD(wp)) {
		case 1000:
			SendMessage(hwnd,WM_DESTROY,0,0);
			break;
		}
		return 0;
	}
	return DefWindowProc(hwnd , msg , wp , lp);
}

int WINAPI WinMain(HINSTANCE hInstance , HINSTANCE hPrevInstance , PSTR lpCmdLine , int nCmdShow )
{
	HWND hwnd;
	MSG msg;
	WNDCLASS winc;

	winc.style		= CS_HREDRAW | CS_VREDRAW;
	winc.lpfnWndProc	= WndProc;
	winc.cbClsExtra	= winc.cbWndExtra	= 0;
	winc.hInstance		= hInstance;
	winc.hIcon		= LoadIcon(NULL , IDI_APPLICATION);
	winc.hCursor		= LoadCursor(NULL , IDC_ARROW);
	winc.hbrBackground	= (HBRUSH)GetStockObject(WHITE_BRUSH);
	winc.lpszMenuName	= TEXT("BCSK");
	winc.lpszClassName	= TEXT("BCSK");

	if (!RegisterClass(&winc)) return 0;

	hwnd = CreateWindow(
			TEXT("BCSK") , TEXT("BCC Skipper") ,
			WS_OVERLAPPEDWINDOW | WS_VISIBLE ,
			100 , 100 , 200 , 200 , NULL , NULL ,
			hInstance , NULL
	);

	if (hwnd == NULL) return 0;

	while (GetMessage(&msg , NULL , 0 , 0)) DispatchMessage(&msg);
	return msg.wParam;
}